source: trunk/server/fedora/specs/rubygems.spec.patch @ 2105

Last change on this file since 2105 was 2066, checked in by achernya, 11 years ago
Merge branches/fc15-dev to trunk
File size: 900 bytes
  • rubygems.spec

    old new  
    1515Summary:        The Ruby standard for packaging ruby libraries
    1616Name:           rubygems
    1717Version:        1.7.2
    18 Release:        3%{?dist}
     18Release:        3%{?dist}.scripts.%{scriptsversion}
    1919Group:          Development/Libraries
    2020# No GPL version is specified.
    2121License:        Ruby or GPL+
     
    4040# ... and spec_file is not supported yet
    4141Patch7:         rubygems-1.7.2-escape-string-skip-test.patch
    4242
     43Provides: scripts-rubygems = %{version}-%{release}
     44Patch1000: rubygems-rails-require-thread.patch
     45
    4346Requires:       ruby(abi) = 1.8
    4447Requires:       ruby >= 1.8.7
    4548Requires:       ruby-rdoc
     
    6972%patch6 -p1 -b .esc
    7073%patch7 -p1 -b .esc.skip
    7174
     75%patch1000 -p1 -b .thread
     76
    7277# Some of the library files start with #! which rpmlint doesn't like
    7378# and doesn't make much sense
    7479for f in `find lib -name \*.rb` ; do
Note: See TracBrowser for help on using the repository browser.